Bug 258172 - mail/mew-devel: Prevent .el files from being native compiled
Summary: mail/mew-devel: Prevent .el files from being native compiled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-30 18:47 UTC by Yasuhiro Kimura
Modified: 2021-09-29 07:26 UTC (History)
2 users (show)

See Also:


Attachments
Patch file (22.47 KB, patch)
2021-08-30 18:47 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-08-30 18:47:13 UTC
Created attachment 227557 [details]
Patch file

Mew doesn't work correctly if Emacs supports native compilation and .el files are compiled to .eln ones. So prevent .el files from being native compiled by adding following lines at the end of them.

;; Local Variables:
;; no-native-compile: t
;; End:
Comment 1 Koichiro Iwao freebsd_committer 2021-09-27 00:49:12 UTC
Submitter is now ports committer, assign to submitter.

Approved. Amend the commit and add a line `Approved by: meta (mentor)`, then push it after you change MAINTAINER to your FreeBSD.org address. Also, remove "[PATCH] from the title of commit message.
Comment 2 Guangyuan Yang freebsd_committer 2021-09-27 18:36:22 UTC
(In reply to Koichiro Iwao from comment #1)

Also approved - remember to add "PR:" as well, so the new message should look like:

mail/mew-devel: Prevent .el files from being native compiled

[Your original message]

PR:(tab)(tab)258172
Approved by: meta (mentor), ygy (mentor)
Comment 3 Yasuhiro Kimura freebsd_committer 2021-09-28 07:04:29 UTC
(In reply to Koichiro Iwao from comment #1)

> Amend the commit and add a line `Approved by: meta (mentor)`, then push it after you change MAINTAINER to your FreeBSD.org address.

Do you mean I need not create review before committing this bug report?
Comment 4 Koichiro Iwao freebsd_committer 2021-09-28 07:06:45 UTC
(In reply to Yasuhiro Kimura from comment #3)
Yes, we've already approved the change. Amend the commit message, resolve conflicts if necessary and push it.
Comment 5 Koichiro Iwao freebsd_committer 2021-09-28 07:10:44 UTC
Do you think users who installed mew via `pkg install` should receive this fix? If so, it should be MFH'ed.
Comment 6 commit-hook freebsd_committer 2021-09-28 07:17:25 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5dde2c0ae7261f8c85d96077826732061246f549

commit 5dde2c0ae7261f8c85d96077826732061246f549
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2021-08-30 10:37:43 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-09-28 07:13:41 +0000

    mail/mew-devel: Prevent .el files from being native compiled

    Mew doesn't work correctly if Emacs supports native compilation and
    .el files are compiled to .eln ones. So prevent .el files from being
    native compiled by adding following lines at the end of them.

    ;; Local Variables:
    ;; no-native-compile: t
    ;; End:

    PR:             258172
    Approved by:    meta (mentor), ygy (mentor)

 mail/mew-devel/Makefile                            |   1 +
 mail/mew-devel/files/patch-no-native-compile (new) | 863 +++++++++++++++++++++
 2 files changed, 864 insertions(+)
Comment 7 Yasuhiro Kimura freebsd_committer 2021-09-28 07:18:44 UTC
(In reply to Koichiro Iwao from comment #4)

Thanks for replay. I have pushed my commit to master repository.
Comment 8 Yasuhiro Kimura freebsd_committer 2021-09-28 07:24:21 UTC
(In reply to Koichiro Iwao from comment #5)

Only editor/emacs-devel supports native compilation and option to enable it is OFF by default. So user of official package doesn't suffer from the issue and I don't think this should be MFHed therefore.
Comment 9 Koichiro Iwao freebsd_committer 2021-09-28 07:26:04 UTC
(In reply to Yasuhiro Kimura from comment #8)
I see, close it. Same with mail/mew.